Date: Fri, 10 Sep 2010 13:46:13 +0000
Mime-Version: 1.0 (Produced by PhpWiki 1.4.0RC1)
X-Rcs-Id: $Id: Help%2FRandomPagePlugin 7682 2010-09-10 12:03:36Z vargenau $
Content-Type: application/x-phpwiki;
  pagename=Help%2FRandomPagePlugin;
  flags=PAGE_LOCKED%2CEXTERNAL_PAGE;
  markup=2;
  charset=UTF-8
Content-Transfer-Encoding: binary

The **~RandomPage** [[Help:WikiPlugin|plugin]] displays a list of randomly chosen pages or redirects to a random page.

== Usage ==
{{{
<<RandomPage arguments>>
}}}

== Arguments ==

All [[Help:PageList|PageList]] arguments, plus the following ones.

{| class="bordered"
|-
! Argument
! Description
! Default value
|-
| **numpages**
| Number of pages to list.
| 20
|-
| **redirect**
| Do not display random page link, redirect to random page.
| empty
|-
| **exclude**
| Pages to exclude from random
| RandomPage, HomePage, AllPages, RecentChanges, RecentEdits, FullRecentChanges
|}

== Example ==

{{{
<<RandomPage numpages=10 >>
}}}

<<RandomPage numpages=10 >>

== Author ==
* [[PhpWiki:ReiniUrban|Reini Urban]]

== See Also ==

<noinclude>
----
[[PhpWikiDocumentation]] [[CategoryWikiPlugin]]
</noinclude>
